org.apache.lucene.luke.app.desktop.util.inifile

## Class SimpleIniFileReader

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.inifile.SimpleIniFileReader

All Implemented Interfaces:
  IniFileReader

    public class SimpleIniFileReader
    extends Object
    implements IniFileReader

Simple implementation of `IniFileReader`

### Constructor Summary

Constructors
Constructor and Description
`SimpleIniFileReader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,OptionMap>` `readSections(Path path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleIniFileReader

    public SimpleIniFileReader()

### Method Detail

#### readSections

    public Map<String,OptionMap> readSections(Path path)
                                       throws IOException

Specified by:
  `readSections` in interface `IniFileReader`
Throws:
  `IOException`